"""Add uuid to user model

Revision ID: 7c2f9f7f467b
Revises: e09fde107060
Create Date: 2020-07-28 14:04:00.622202

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
import app

revision = "7c2f9f7f467b"
down_revision = "e09fde107060"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("users", schema=None) as batch_op:
        batch_op.add_column(sa.Column("manager_uuid", app.models.GUID(), nullable=True))
        batch_op.add_column(sa.Column("uuid", app.models.GUID(), nullable=False))
    op.create_index(op.f("ix_users_uuid"), "users", ["uuid"], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("users", schema=None) as batch_op:
        batch_op.drop_column("uuid")
        batch_op.drop_column("manager_uuid")

    # ### end Alembic commands ###
